From 870bc01e459a9be43159b9923bb39294b722d248 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 08 2020 00:52:34 +0000
Subject: [PATCH 993/2232] Recognize CARGO_TARGET_DIR env var if set


---

diff --git a/gen/build/src/cargo.rs b/gen/build/src/cargo.rs
index 35b6606..7db8a4c 100644
--- a/gen/build/src/cargo.rs
+++ b/gen/build/src/cargo.rs
@@ -1,4 +1,5 @@
 use crate::paths::TargetDir;
+use std::env;
 use std::path::{Path, PathBuf};
 use std::process::Command;
 use std::str;
@@ -8,6 +9,10 @@ pub(crate) fn target_dir(out_dir: &Path) -> TargetDir {
 }
 
 fn try_target_dir(out_dir: &Path) -> Option<PathBuf> {
+    if let Some(target_dir) = env::var_os("CARGO_TARGET_DIR") {
+        return Some(PathBuf::from(target_dir));
+    }
+
     let cargo = option_env!("CARGO").unwrap_or("cargo");
     let output = Command::new(cargo)
         .current_dir(out_dir)

